Bulk follow addresses
curl --request POST \
--url https://api.clicker.xyz/v1/addresses/follow/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"targets": [
"<string>"
],
"addressOrUid": "<string>",
"targetType": "addressOrUid"
}
]
'import requests
url = "https://api.clicker.xyz/v1/addresses/follow/bulk"
payload = [
{
"targets": ["<string>"],
"addressOrUid": "<string>",
"targetType": "addressOrUid"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{targets: ['<string>'], addressOrUid: '<string>', targetType: 'addressOrUid'}])
};
fetch('https://api.clicker.xyz/v1/addresses/follow/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"targetProfiles": [
{
"id": "<string>",
"name": "<string>",
"images": {
"raw": "<string>",
"xs": "<string>",
"sm": "<string>"
},
"addresses": [
"<string>"
],
"metadata": {
"farcasterUsername": "<string>",
"farcasterId": 123,
"lensHandle": "<string>",
"ensName": "<string>",
"twitterHandle": "<string>",
"debankName": "<string>",
"hlName": "<string>",
"commentCount30d": 123,
"pnl30d": 123,
"winRate30d": 123,
"tradeCount30d": 123,
"roiPercent30d": 123,
"pnl7d": 123,
"winRate7d": 123,
"tradeCount7d": 123,
"roiPercent7d": 123,
"medianHoldingTimeMinutes": 123
},
"isNSFW": false,
"externalId": "<string>"
}
]
}{
"error": "<string>"
}Profiles
Bulk Follow/Unfollow Addresses
Bulk-add follow and unfollow relationships between addresses and their targets. Note: For performance, returned profiles exclude social metrics (follower counts, copytrade stats). Use the Get Profile endpoint for full metrics.
POST
/
v1
/
addresses
/
follow
/
bulk
Bulk follow addresses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Show child attributes
Show child attributes
⌘I